Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::AssociateStats Struct Reference

`#include <associate.h>`

List of all members.

## Public Member Functions

| AssociateStats ()
void | Clear ()
void | Print ()

## Public Attributes

float | shape_cost
bool | bad_shape
float | full_wh_ratio
float | full_wh_ratio_total
float | full_wh_ratio_var
bool | bad_fixed_pitch_right_gap
bool | bad_fixed_pitch_wh_ratio

## Detailed Description

Definition at line 65 of file associate.h.

## Constructor & Destructor Documentation

tesseract::AssociateStats::AssociateStats | ( |  | ) |

inline

Definition at line 66 of file associate.h.

{ Clear(); }

## Member Function Documentation

void tesseract::AssociateStats::Clear | ( |  | ) |

inline

Definition at line 68 of file associate.h.

{
shape_cost = 0.0f;
bad_shape = false;
full_wh_ratio = 0.0f;
full_wh_ratio_total = 0.0f;
full_wh_ratio_var = 0.0f;
bad_fixed_pitch_right_gap = false;
bad_fixed_pitch_wh_ratio = false;
}

void tesseract::AssociateStats::Print | ( |  | ) |

inline

Definition at line 78 of file associate.h.

{
tprintf("AssociateStats: w(%g %d) s(%g %d)\n", shape_cost, bad_shape);
}

## Member Data Documentation

bool tesseract::AssociateStats::bad_fixed_pitch_right_gap

Definition at line 88 of file associate.h.

bool tesseract::AssociateStats::bad_fixed_pitch_wh_ratio

Definition at line 90 of file associate.h.

bool tesseract::AssociateStats::bad_shape

Definition at line 83 of file associate.h.

float tesseract::AssociateStats::full_wh_ratio

Definition at line 84 of file associate.h.

float tesseract::AssociateStats::full_wh_ratio_total

Definition at line 85 of file associate.h.

float tesseract::AssociateStats::full_wh_ratio_var

Definition at line 87 of file associate.h.

float tesseract::AssociateStats::shape_cost

Definition at line 82 of file associate.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/wordrec/associate.h